/*Каркас сайта*/
body {
    margin:0;
    background:#CCDCF3;
    font-size:16px;
    font-family:"PT Sans";
}

.container{
  max-width: 1200px;
  margin: auto;
  margin-top:0 ;
}
.wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}
.footer {
  flex: 0 0 auto;
}
/*Основной блок сайта*/
.content-block{
  display: flex;
  margin-top: 3%;
  width: 100%;
  flex-wrap: wrap;
  
}
.location{
  cursor: pointer;
}
.top-block{
 width: 100%;
 height: 100%;
 display:flex;
 gap: 10px;
}
a{
  text-decoration: none;
  color: black;
}
a:hover { 
  color: #606FF1;
}
.goods {
  width: 300px;
  height:300px;
  background: #ffffff;
  border-radius: 13px;
  display: flex;
  flex-wrap: wrap;
  transition-duration: 0.5s;
}
.goods-text{
  font-weight: bold;
  font-size: 16px;
  margin: 0;
  margin-left: 10px;
  width: 100%;
  display: flex;
}
.goods-text:hover{
  cursor: pointer;
  color: #606FF1;
}
.goods-cart-icon{
  width: 35px;
  height: 35px;
  margin: auto;
  margin-right: 10px;
  border-radius: 6px;
  opacity: 0;
}
.goods-like-icon{
  width: 35px;
  height: 35px;
  border-radius: 6px;
  margin-right: 10px;
  margin-top: 5px;
  opacity: 0;
}
.goods:hover{
  filter: drop-shadow(0px 5px 5px #424246)
}
.goods:hover .goods-price-text{
  color: #606FF1;
  
}
.good-price{
  width: 100%;
}
.goods-saleprice-text{
  color: gray;
  font-size: 16x;
  margin-bottom: 5px;
  text-decoration: line-through;
  margin-top: 0;
}
.goods:hover .goods-like-icon{
  opacity: 1;
  transition-duration: 1s;
}
.goods:hover .goods-cart-icon{
  opacity: 1;
  transition-duration: 1s;
}
.goods:hover .goods-like-icon{
  display: block;
}
.goods-div-img{
  margin: auto;
  width: 100%;
  display: flex;
}
.goods-cart-icon:hover{
  background: #606FF1;
}
.goods-like-icon:hover{
  background: #606FF1;
  
}
.goods-price-text{
  width: 50%;
  height: 40%;
  font-size: 26px;
  font-weight:bolder;
  margin: auto;
  margin-left: 0px;
  transition-duration: 0.5s;
}
.goods-icon{
  width:30px;
  height: 30px;
  padding:2px;
}
.goods-icon:hover{
  cursor: pointer;

}
.goods-img{
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  width: 60%;
  height: 50%;
}
.slider {
  width: 100%;
  height: 280px;
}
.slider-img{
  height: 100%;
  width: 100%;
}
.top-goods{
  display: flex;
  gap: 10px;
  margin: auto;
}
.left-menu{
  width: 290px;
  background: #ffffff;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.25);
  border-radius: 13px;
  display: flex;
  flex-direction: column;
}
.menu-el{
  width: 100%;
  margin-top: 10%;
  height: 100%;
  display: flex;
}
.menu-el-text {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 5%;
}
.menu-el-text:hover{
  cursor: pointer;
  color: #606FF1;
}
.menu-el:first-child {
  margin-top: 4%;
}
#last-good-top{
  opacity: 0.5;
}
.menu-el:last-child {
  margin-bottom: 5%;
}
.menu-img{
  padding-left: 2%;
  width: 10%;
}
.slider-goods{
  width: 75%;
  cursor: pointer;
}
.slider-block{
  width: 100%;
  display: flex;
  gap: 12px;
  margin-top: 20px;
  margin-bottom: 60px;
}
.slider-bottom{
  width: 75%;
  cursor: pointer;
}
.slider-small{
  width: 24%;
  cursor: pointer;
}
.img-slider{
  width: 100%;
  height: 100%;
}
.promo{
  display: flex;
  flex-direction: column;
  height: 250px;
  text-align: center;
  width: 300px;
  height:250px;
  background: #ffffff;
  border-radius: 13px;
  justify-content: center;
  transition-duration: 0.5s;
}
.promo-img{
  width: 60px;
  padding-left: auto;
  padding-right: auto;
}
.promo-img-div{
  margin-top: 0;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 5px;
  width: 100%;
}
.promo-text{
  font-size: 24px;
  font-weight: bold;
  margin: 0;
}
.promo-text-bottom{
  font-size: 18px;
  font-weight: bold;
  color: gray;
  margin: 0;
}
.fire {
  width: 28px;
}
h1{
  font-size: 33px;
  
}
.slider-sales{
  display: none;
}
.sales-text{
  margin-top: 20px;
}
.sales-block{
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}

span{
  color: gray;
}
.mobile-menu{
  display: flex;
  width: 100%;
  height: 10%;
  background-color: #606FF1;
  position: fixed;
  top: 92%;
  padding-bottom: 12px;
  z-index: 999;
  border-top: 2px solid lightcyan;
  border-radius: 15px 15px 0 0;
  
}
.mobile-menu{
  display: none;
}
.mobile-menu-el{
  width: 20%;
  height: 100px;
  margin: auto;
  text-align: center;
}
figure{
  width: 50px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.mobile-menu-icon{
  width: 70%;
}
figcaption{
  color: white;
  font-size: 14px;
  font-weight:600;
  
}
.promo:hover{
  margin-top: 10px;
}

.mobile-menu-img{
  margin-top: 11px;
}
.korzina-text:hover{
  cursor: pointer;
  color: #606FF1;
}
.korzina-text:last-child{
  font-weight: bold;
  font-size: 18px;
}
#izbr{
  margin-left: 10px;
}
.popular-goods{
  display: inline;
}
/* 1200px */
@media only screen and (max-width: 1200px) {
  .slider-goods{
    width: 75%;
    height: 667px;
  }
  .container{
    width: 96%;
  }
  .top-block{
    height: 100%;
   }
  .goods {
    width: 35%;
    height: 250px;
    margin: auto;
  }
  .top-goods{
    height: 48%;
  }
  .left-menu{
    width: 25%;
    height: 635px;
    margin-right: 0%;
  }
  .menu-el-text {
    font-size: 12px;
  }
  .slider{
    width:100%;
  }
  .new-goods-h1{
    margin-bottom: 0;
    display: inline-block;
  }
  .goods-text{
    font-size: 14px;
    padding:0;
  }
  .goods-price-text{
    font-size: 20px;
  }
}
@media only screen and (max-width: 880px) {
  .left-menu{
     width: 100%;
     height: 800px;
     background:none;
     flex-direction: row;
     flex-wrap: wrap;
     box-shadow: none;
    border-radius: 0;
    text-align: center;
  }
  .goods-price-text{
    font-size: 19px;
  }
  .mobile-menu{
    display:flex;
  }
  .promo{
    height: 200px;
  }
  .container{
    width: 96%;
  }
  .slider-sales{
    display: block;
    margin: 0;
  }
  .slider-goods{
    width: 100%;
    margin: auto;
    height: 600px;
  }
  .slider{
    margin-top: 20px;
  }
  .top-block{
    flex-wrap: wrap;
    margin-top: 20px;
   }
   .menu-el-text {
    font-size: 15px;
    margin-top: auto;
    margin-bottom: auto;
    
  }
  .menu-el:last-child {
    margin:auto
  }
  .menu-el:first-child {
    margin: auto;
  }
  .menu-img{
    width: 40px;
    margin-top: auto;
    margin-bottom: auto;
  }
  .menu-el{
    border: 2px solid rgb(231, 228, 228);
    margin-top: 0%;
    border-top: none;
    height: 100px;
  }
  .header-menu-ul{
    display: none;
  }
  .korzina, .korzina-text{
    display: none;
  }

  #menu-top{
    height: 100px;
    padding-bottom: 20px;
  }
  .menu-content{
    display: flex;
    flex-direction: column;
  }
  .wrap{
    width: 90%;
    margin-right: auto;
    margin-left: auto;
    padding: 0;
    }
    .searchTerm {
      height: 30px;
      }
    .searchButton{
      height: 30px;
    }
    #header{
      height: 150px;
    }
  .menu-el{
    width: 45%;
    height: 20%;
    border-radius: 12px;
    background: white;
    margin: auto;
    flex-direction: column;
  }
  span{
    display: none;
  }
  .menu-el-text{
    font-size: 20px;
    font-weight: 400;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    
  }
  .menu-img{
    margin: auto;
    width: 25%;
  }
  .sales-text-block{
    padding-top:9%;
  }
  .goods-cart-icon{
    opacity: 1;
  }
  .goods-like-icon{
    opacity: 1;
  }
}
@media only screen and (max-width: 814px){
  .goods-price-text{
    width: 100px;
  }
}
@media only screen and (max-width: 800px){
  #last-good-top{
    display: none;
  }
  .sales-text-block{
    padding: 0;
  }
  .sales-text{
    margin-top: 0;
  }
  .goods{
    width: 48%;
    height: 75%;
  }
  .slider{
    width: 100%;
    height: 25%;
  }
  .goods-price-text{
    margin-bottom: 20px;
  }
  .sales-block > .goods:nth-child(2n){
    display: none;
  }
  .top-goods{
    height:60%;
    width: 100%;
  }
  .top-goods > .goods{
    margin-top: 20px;
  }
  .slider-small{
    display: none;
  }
  .slider-bottom{
    width: 99%;
    margin: auto;
  }
  .promo{
    width: 49%;
  }
  #promo-block{
    flex-wrap: wrap;
    margin: auto;
  }
}
@media only screen and (max-width: 567px){
  .new-goods-h1{
    font-size: 27px;
  }
}
@media only screen and (max-width: 550px){
  .top-goods{
    height: 50%;
  }
  .new-goods-h1{
    font-size: 24px;
  }
  .promo{
    width: 48.7%;
  }
  .promo-text{
    font-size: 18px;
  }
  .promo-text-bottom{
    font-size: 12px;
  }
  .goods-price-text{
    font-size: 18px;
  }
  .content-block{
    height:1360px;
  }
}
@media only screen and (max-width: 400px){
  .promo{
    width: 48%;
    height:150px;
  }
}
@media only screen and (max-width: 415px){
  .sales-text-block{
    margin-top: 20px;
  }
}
@media only screen and (max-width: 380px){
  .goods-icon{
    width: 25px;
    height: 25px;
  }
  figcaption{
    font-size: 12px;
  }
  .goods-text{
    font-size: 14px;
  }
  .goods-like-icon{
    margin-right: 0;
  }
  .goods-price-text{
    width: 100%;
  }
}
@media only screen and (max-width: 360px){
  .container, body{
    width: 340px;
  }
}
@media only screen and (max-width: 340px){
  .footer{
    width: 100%;
  }
}
